VayaFlow
Contacts

Manually deliver a contact

Manually triggers delivery for a contact that is pending action (e.g. waiting for manual review). Creates a new submission and sends the contact through the qualification and delivery pipeline for the specified playbook. The contact must not have a pursuit held for review.

POST
/api/v1/contacts/{contactId}/deliver

Authorization

ApiKeyAuth
X-API-Key<token>

API key generated from your Vayaflow dashboard Settings page

In: header

Path Parameters

contactId*string

The contact ID

Request Body

application/json

playbookId*string

The playbook to deliver the contact to

Response Body

application/json

application/json

application/json

application/json

package mainimport (  "fmt"  "net/http"  "io/ioutil"  "strings")func main() {  url := "https://api.vayaflow.com/api/v1/contacts/string/deliver"  body := strings.NewReader(`{    "playbookId": "string"  }`)  req, _ := http.NewRequest("POST", url, body)  req.Header.Add("Content-Type", "application/json")  res, _ := http.DefaultClient.Do(req)  defer res.Body.Close()  body, _ := ioutil.ReadAll(res.Body)  fmt.Println(res)  fmt.Println(string(body))}
{
  "success": true,
  "data": {
    "newSubmissionId": "string",
    "contactId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid input data",
    "details": [
      "string"
    ]
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Authentication required"
  }
}
{
  "success": false,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}